<template>
  <div class="logo" v-if="metadata.isLogo&&fdkkCurrentVersion!='v3'">
    <img :src="metadata.logo || require(`@/assets/images/default/logo_white_${local}.svg`)" alt="">
  </div>
</template>

<script setup>
import { useStore } from "vuex";
import { ref, onMounted, computed, watch, nextTick } from "vue";
import { useI18n, getLocale } from '@/i18n'

const store = useStore();
const metadata = computed(() => store.getters['scene/metadata'])
const fdkkCurrentVersion = computed(() => store.getters["scene/fdkkCurrentVersion"]);
const local = getLocale();

</script>

<style lang="scss" scoped>
.logo {
  position: absolute;
  top: 20px;
  left: 20px;
  > img {
    max-width: 120px;
    max-height: 100px;
    pointer-events: none;
  }
}
</style>
